﻿@model List<WebApp.ViewModels.Admin.TrainAdminViewModel>
@{
    ViewBag.Title = "Trains";
}

<div class="panel panel-default">
    <div class="panel-heading"><h2>Trains</h2></div>
    <div class="panel-body">
        @Html.ActionLink("Create", "CreateTrain", "Admin")
    </div>
    @if (Model.Count == 0)
    {
        @:<div class="alert alert-danger" role="alert">No trains found.</div>
    }
    else
    {
        <table class="table">
            <thead>
            <th>ID</th>
            <th>Title</th>
            <th>Actions</th>
            </thead>
            <tbody>
            @foreach (var model in Model)
            {
                <tr>
                    <td>@Html.DisplayFor(t => model.Id)</td>
                    <td>@Html.DisplayFor(t => model.Title)</td>
                    <td>
                        @Html.ActionLink("Edit", "EditTrain", "Admin", new {id = model.Id}, null) |
                        @Html.ActionLink("Carriages", "Carriages", "Admin", new {trainId = model.Id}, null) |
                        @Html.ActionLink("Delete", "DeleteTrain", "Admin", new {id = model.Id}, null)
                    </td>
                </tr>
            }
            </tbody>
        </table>
    }
</div>
